Draft Vista profilo 2D

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Shape2DView and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft DelPoint.svg Eliminare un punto Pagina precedente:
Pagina successiva: Da Draft a Sketcher Draft Draft2Sketch.svg Arrow-right.svg

Draft Shape2DView.svg Vista 2D

Posizione nel menu
Draft → Vista profilo 2D
Ambiente
Draft, Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Part, TechDraw


Descrizione

Questo strumento produce una proiezione 2D da un oggetto solido 3D selezionato come quelli creati con gli ambienti Part, PartDesign, and Arch

La proiezione risultante è un oggetto Draft e viene posizionata nella vista 3D. Questo oggetto può essere visualizzato in una pagina di TechDraw, usando lo strumento Nuova vista di Draft. In alternativa, TechDraw ha i suoi propri strumenti per creare delle viste proiettate, gli strumenti Nuova vista e Nuovo gruppo di proiezioni; però, questi strumenti sono pensati per preparare i disegni tecnici, quindi creano le viste solo nella pagina di disegno e non nella vista 3D.

Draft Shape2DView example.jpg

Proiezione di forme solide nel piano XY


Utilizzo

  1. Ruotare la vista in modo che rifletta la direzione della proiezione desiderata. Ad esempio, una vista dall'alto proietta l'oggetto sul piano XY.
  2. Selezionare un oggetto 3D.
  3. Premere il pulsante Draft Shape2DView.svg Vista profilo 2D. Se non è selezionato nessun oggetto, si viene inviti a selezionarne uno.

L'oggetto proiettato viene creato sotto l'oggetto selezionato, che giace sul piano XY. La sua posizione può essere cambiata cambiando le sue proprietà. Anche la direzione di proiezione può essere modificata dopo la creazione con l'editor delle proprietà.

Se l'oggetto selezionato è un Piano di sezione di Arch, la proiezione utilizza il contenuto e la direzione di quel piano di sezione; in questo caso, la proprietà "Projection" viene ignorata.

Opzioni

Non ci sono opzioni per questo strumento. O funziona con l'oggetto selezionato o no.

Proprietà

  • DATAProjection: specifica la direzione della proiezione come un vettore. Ad esempio, (0,0,1) è una proiezione che guarda lungo l'asse Z, e che proietta sul piano XY; (1,0,0) è una proiezione che guarda lungo l'asse X, e che proietta sul piano YZ; (0,1,0) è una proiezione che guarda lungo l'asse Y, e che proietta sul piano XZ. I valori possono anche essere negativi, nel qual caso la direzione di proiezione è invertita.
  • DATAProjection Mode: può essere "Solid", "Individual Faces", "Cutlines", e "Cutfaces".
    • La proiezione predefinita è "Solid", che proietta l'intera forma selezionata.
    • Se sono selezionate solo alcune facce dell'oggetto base, la modalità "Individual Faces" proietta solo quelle facce.
    • Se l'oggetto selezionato è un Piano di sezione di Arch, la modalità "Cutlines" proietta solo i bordi tagliati dal piano della sezione.
    • Se l'oggetto selezionato è un Piano di sezione di Arch, la modalità "Cutfaces" mostra le aree di taglio dei solidi come facce.
  • DATAIn Place: se è True, in combinazione con la modalità "Cutlines" o "Cutfaces", la proiezione risultante appare complanare con il Piano di sezione di Arch. Disponibile dalla versione 0.17
  • DATAHiddenLines: se è True mostra le linee nascoste della proiezione.
  • DATATessellation: se è True esegue la tassellatura di ellissi e spline, cioè rappresenta le curve con segmenti di linea molto sottili.
Note: questo potrebbe essere intensivo dal punto di vista computazionale se DATASegment Length è molto piccolo.
  • DATASegment Length: specifica la dimensione in millimetri dei segmenti lineari se DATATessellation è True.
Note: impostare prima un valore più grande e poi cambiarlo in un valore più piccolo per ottenere una risoluzione migliore.
  • DATAVisible Only: se è True la proiezione viene ricalcolata solo se è visibile.

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento Vista 2D può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Shape2DView = makeShape2DView(baseobj, projectionVector=None, facenumbers=[])
  • Crea una Shape2DView come proiezione del dato baseobj.
    • Se facenumbers è dato, esso è una lista di numeri di faccia da considerare per la proiezione.
  • Se è dato un projectionVector, esso viene usato; altrimenti la proiezione predefinita è lungo l'asse Z.

L'attributo ProjectionMode deve essere sovrascritto con la modalità desiderata, che può essere "Solid", "Individual Faces", "Cutlines", o "Cutfaces".

Esempio:

import FreeCAD, Draft

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

Shape1 = Draft.makeShape2DView(Box)

Shape2 = Draft.makeShape2DView(Box, FreeCAD.Vector(1, -1, 1))

Shape3 = Draft.makeShape2DView(Box, FreeCAD.Vector(-1, 1, 1), [4,5])
Shape3.ProjectionMode = "Individual Faces"

FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Draft DelPoint.svg Eliminare un punto Pagina precedente:
Pagina successiva: Da Draft a Sketcher Draft Draft2Sketch.svg Arrow-right.svg